function f=mukeren(p,data)
% keren approximation A. Keren PRB 50 (1994) 10039
% p(1) = Amp
% p(2) = Gau, external lungitudinal field (Gauss)
% p(3) = Delta, width of static distribution (mus-1)
% p(4) = Nu, hop frequency (mus^-1) 
% works for nu>Delta

    
% Gamma(t)= 2*Delta^2*( (wL^2+nu^2)*nu*t+...
%    (wL^2-nu^2)*(1-exp(-nu*t)*cos(wL*t))-...
%    2*nu*wL*exp(-nu*t)*sin(wL*t) )...
%    /(wL^2+nu^2)^2;
% G(t)=exp(-Gamma(t))
    global MU_TABLE
    
    wL=2*pi*MU_TABLE.GAMU*p(2); % Larmor frequency (mus^-1)
    f=p(1)*exp(-2*p(3)^2*( (wL^2+p(4)^2)*p(4)*data(1,:)+...
      (wL^2-p(4)^2)*(1-exp(-p(4)*data(1,:)).*cos(wL*data(1,:)))-...
      2*p(4)*wL*exp(-p(4)*data(1,:)).*sin(wL*data(1,:)))/(wL^2+p(4)^2)^2);