function s=musgroup(n,flag)
% usage S=MUSGROUP(N,FLAG)
%
% invoked by MUFITMENU and MUPLOT
% FLAG = 0 MUFITMENU (MU_MODEL.GROUPING), 
%        1 MUPLOT (MU_PLOT.GROUPING)
% N= group 1,2 for FORWARD or BACKWARD
% S is a string with the detectors in grouping n in readable format
% e.g. '1 3:7 12'
% groups are read from MU_X.GROUPING.BACKWARD (n even) or
% MU_X.GROUPING.FORWARD (n odd), X = MODEL, PLOT 
% where they are stored as integer arrays, e.g. [1 3 4 5 6 7 12]
% 
global MU_MODEL MU_PLOT

if ispc
    colon='=';
else
    colon=':';
end
k=ceil(n/2);
if n==2*k
    if ~flag
        g=MU_MODEL.GROUPING(k).BACKWARD;
    else
        g=MU_PLOT.GROUPING(k).BACKWARD;        
    end
else
    if ~flag
        g=MU_MODEL.GROUPING(k).FORWARD;
    else
        g=MU_PLOT.GROUPING(k).FORWARD;        
    end
end
if ~isempty(g)
    if isnumeric(g)
        g=sort(g);
        m=min(g);
        M=max(g);
        l=length(g);
        s='';
        gg=g;
        if m==M
            s=int2str(m);
        end
        while m<M
            s=[s int2str(m)];
            k=m-1+[1:l]; % index
            gg=(gg-k);
            gg=gg.*(gg>0);
            mi=min(find(gg))-1; % index of last in the series
            if isempty(mi)
                mm=M;
            else
                mm=g(mi);
            end
            if mm==m
                s=[s ' '];
            elseif mm==M
                s=[s colon int2str(mm)];
            else
                s=[s colon int2str(mm) ' '];
            end
            if mi<l
                m=g(mi+1);
                if m==M
                    s=[s int2str(m)];
                end
            else
                m=M;
            end
        end
    else
        % non integer grouping. Mistake!
        if ischar(g)
            warndlg(['Corrupted grouping: ' g '. RESETTING IT!'])
        elseif iscellstr(g)
            warndlg(['Corrupted grouping: ' char(g) '. RESETTING IT!'])
        end
        if n==2*k
            if ~flag
                MU_MODEL.GROUPING(k).BACKWARD=2;
            else
                MU_PLOT.GROUPING(k).BACKWARD=2;
            end
        else
            if ~flag
                MU_MODEL.GROUPING(k).FORWARD=1;
            else
                MU_PLOT.GROUPING(k).FORWARD=1;        
            end
        end
    end
else
    warndlg('No grouping yet! Select one by mufitmenu')
end